#include <stdio.h>
#include <stdlib.h>

int a[1510][1000];
int nm[1510][1510];

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int *pom=(int*)calloc(1000,sizeof(int));

    if (n==1)
    {
        printf("0");
        int maxi=0;
        for (int i=0;i<m;i++)
        {
            int x;
            scanf("%d",&nm[0][i]);
            x=nm[0][i];
            int br=0;
            while (x)
            {
                a[i][br]=x%2;
                x/=2;
                if (a[i][br]) pom[br]++;
                else pom[br]--;
            }
            if (br>maxi) maxi=br;
        }
        for (int i=0;i<maxi;i++)
        {
            if (pom[i]>0) pom[i]=1;
            else pom[i]=0;
        }
        long long k=0;
        long long d=1;
        for (int i=0;i<maxi;i++)
        {
            k+=pom[i]*d;
            d*=2;
        }
        for (int i=0;i<m;i++) a[0][i]=a[0][i]^k;
        long long res=0;
        for (int i=0;i<m;i++) res+=a[0][i];
        printf("%lld",res);

    }
}